org.apache.fop.event

## Class LoggingEventListener

- java.lang.Object
- - org.apache.fop.event.LoggingEventListener

All Implemented Interfaces:
  EventListener

    public class LoggingEventListener
    extends Object
    implements EventListener

EventListener implementation that redirects events to Commons Logging. The events are converted to localized messages.

### Constructor Summary

Constructors
Constructor and Description
`LoggingEventListener()` Creates an instance logging to the default log category of this class.
`LoggingEventListener(org.apache.commons.logging.Log log)` Creates an instance logging to a given logger.
`LoggingEventListener(org.apache.commons.logging.Log log, boolean skipFatal)` Creates an instance logging to a given logger.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.commons.logging.Log` `getLog()` Returns the target logger for this instance.
`void` `processEvent(Event event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggingEventListener

    public LoggingEventListener()

Creates an instance logging to the default log category of this class.

#### LoggingEventListener

    public LoggingEventListener(org.apache.commons.logging.Log log)

Creates an instance logging to a given logger. Events with fatal severity level will be skipped.

Parameters:
  `log` - the target logger

#### LoggingEventListener

    public LoggingEventListener(org.apache.commons.logging.Log log,
                                boolean skipFatal)

Creates an instance logging to a given logger.

Parameters:
  `log` - the target logger
  `skipFatal` - true if events with fatal severity level should be skipped (i.e. not logged)

### Method Detail

#### getLog

    public org.apache.commons.logging.Log getLog()

Returns the target logger for this instance.

Returns:
  the target logger

#### processEvent

    public void processEvent(Event event)